Page MenuHomePhabricator

Update the fontstack for Wikimedia Design Style Guide
Closed, ResolvedPublic

Description

Proposal

update the font-stack for Wikimedia Style Guide which gives preference to system typeface
Apple and Google both have better typeface alternatives available. [1][2]

They have better readability on screens and they have better language support.
This will deliver better native experience for readers. [3]

Proposed stack (see discussion for other links/suggestions)

font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Oxygen-Sans", Ubuntu, Cantarell, Lato, "Helvetica Neue", Helvetica, Arial, sans-serif;

This is the semantic order of things -

User device system preferred > Wikimedia Design preferred (Lato) > Helvetica > Arial > Generic

[1] https://developer.apple.com/fonts/
[2] a https://fonts.google.com/specimen/Roboto
[2] b https://material.io/guidelines/style/typography.html

Developer note

There's a known bug for Internet Explorer/Edge with this stack when used in font shorthand.
Can be circumvented when used only with font-family.


BeforeAfter (both on MacOS 10.13.4, Chrome 65.0.3325.181)

Event Timeline

Nirzar created this task.Mar 2 2018, 11:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2018, 11:53 PM
Volker_E renamed this task from Update the fontstack for wikimedia design style guide to Update the fontstack for Wikimedia Design Style Guide.Mar 3 2018, 5:50 PM
Volker_E claimed this task.
Volker_E updated the task description. (Show Details)
Volker_E added a subscriber: Prtksxna.

@Nirzar What do you refer to with discussion for other links/suggestions?

Nirzar triaged this task as High priority.Apr 6 2018, 5:53 PM

the FOUC is severe, raised the priority to high

How do we proceed with imagery and components screenshots/templates?

Volker_E added a comment.EditedApr 10 2018, 5:15 PM

Options for imagery/components typesetting from my perspective:
a) Remain with Lato in our Style Guide imagery as aspirational choice and be clear when web fonts are available to choose
b) Provide specifc imagery depending on visitor's platform (I'm cautious about both, maintenance and engineering overhead with that option
c) Provide imagery in a widely used system font like Arial

Volker_E updated the task description. (Show Details)Apr 10 2018, 8:20 PM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Apr 11 2018, 9:54 PM
Volker_E closed this task as Resolved.Apr 11 2018, 11:21 PM
Volker_E moved this task from Needs Review/Feedback to Done on the Wikimedia Design Style Guide board.
Volker_E removed a project: Patch-For-Review.

@Nirzar This is now in place!

Volker_E updated the task description. (Show Details)Apr 11 2018, 11:25 PM